/*
   $VER: CED_Delete.Rexx Vo.o1 (28.1o.93) Gordon Schulz.
   Lschen von ungewnschten gelesenen Dateien direkt 
   vom Cygnus-Editor heraus. Dieses Skript sollte als 
   eine Cygnus-Ed-Funktion assigned werden. */
OPTIONS RESULTS
ADDRESS COMMAND
/* Definiere ein LineFeed zur spteren Verwendung */
LF = '0a'x
/* FehlerRoutine, falls das Delete-Kommando fehlschlgt.*/
signal on ERROR
/* Alle Messages an CED schicken */
ADDRESS 'rexx_ced'
/* Vernderbare Variablen.
   Ist Messages = "ON", dann wird nach jedem 
   erfolgreichen Lschen im CED noch eine Message 
   ausgegeben. Ist Alert = "ON", dann wird vor dem
   eigentlichen Lschen der Datei noch eine Sicher-
   heitsabfrage durchgefhrt. Einsetzen anderer 
   Werte schaltet diese Funktionen aus. */
Messages = "ON"
Alert = "ON"
/* Wir brauchen und wollen kein CLI-Ausgabefenster */
Call close 'STDOUT'
Call close 'STDIN'
/* Fragen wir CED nach dem zu lschenden FileNamen */
'status 19'
file = result
/* Vor dem Lschen noch eine Abfrage durchfhren?! */
select
       when Alert = "ON" then call frag
       otherwise call delete
end
/***************************************************/
frag:
/* Sicherheitsabfrage durchfhren */
'okay2' 'Wollen sie "'file'" wirklich lschen?!'
antwort = result
/* berprfen der Antwort */
select
       when antwort = 1 then call delete
       otherwise exit
end
/***************************************************/
delete:
/* Lschen wir das File */
address command("Delete "||file||"")
/* Noch eine Nachricht ?! */
if Messages = "ON" then
'okay1' 'File "'file'" deleted.'
/* Lschen wir den Speicher des CED's */
'clear'
/* Und tsch */
exit
/***************************************************/
Error:
/* Das Script verzweigt hierhin, falls der Return-
   Code rc des Delete-Befehls grer als Null 
   sein sollte. = Fehler! */
fehler = rc
/* Gebe Nachricht ber den Fehler aus */
'okay1' 'Delete Kommando gab ReturnCode "'fehler'" 
   zurck.'LF'Ein Fehler trat auf oder File ist 
   lschgeschtzt!'
exit

